commit: 7b1a9e472142eb6c29f6d215372e15453f2711bd
Author: Michael Haubenwallner <haubi <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 30 22:29:06 2017 +0000
Commit: Michael Haubenwallner <haubi <AT> gentoo <DOT> org>
CommitDate: Sat Dec 30 22:32:39 2017 +0000
URL: https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=7b1a9e47
dev-util/pkgconfig: sync
Package-Manager: Portage-2.3.13, Repoman-2.3.3
dev-util/pkgconfig/Manifest | 1 +
...gconfig-9999.ebuild => pkgconfig-0.29.2.ebuild} | 32 +++++++++++++++++-----
dev-util/pkgconfig/pkgconfig-9999.ebuild | 32 +++++++++++++++++-----
3 files changed, 51 insertions(+), 14 deletions(-)
diff --git a/dev-util/pkgconfig/Manifest b/dev-util/pkgconfig/Manifest
index 03a6f1f6bb..97b65ff5a0 100644
--- a/dev-util/pkgconfig/Manifest
+++ b/dev-util/pkgconfig/Manifest
@@ -1,2 +1,3 @@
DIST pkg-config-0.29.1.tar.gz 2013454 BLAKE2B
5f33022b2df83de1c9202e090ea9be926d1f2b796152969d46ad45772ceb792c3f2bb95714cf1def28393b32db1b4052c3fdfe9f71076d130a57172987c04d0e
SHA512
d2963355929d7aae0fbadad445d67b5c6762934fc4963a10a4b72ae90f7f6df4e6a38694884b924ff37eedaf636b49f3f521fe4eb3009e0322a402f330f1b4c2
+DIST pkg-config-0.29.2.tar.gz 2016830 BLAKE2B
e8f0420033524ad768cac3c82138546e4cd76c47f5835b7b98662ab01eaf3feef08f495a69c04980d51b57935567ab1d465ef4e1d0529735ad0031c828585324
SHA512
4861ec6428fead416f5cbbbb0bbad10b9152967e481d4b0ff2eb396a9f297f552984c9bb72f6864a37dcd8fca1d9ccceda3ef18d8f121938dbe4fdf2b870fe75
DIST pkgconfig-glib-cygwin-patches-2.38.2.zip 7057 SHA256
08a006bc73175cb942179be3cfc38656e855c71c012aaf284271237a4803db13 SHA512
a9b8c0bfec83b022cfb74a4a4b53b17f29ea3b3b0cb12fed8e34a27258b5524c87ddbae1e2d88e452408948795a09506e6782dc87916cb4748a455261f583b62
WHIRLPOOL
390b040d9d1f16a427ffa04a8820cd7de9a756ba9c1f32cbe22d560b385f9eb38441569b68ec1ac38319123bd585f82dd52d19764e6a2520b74bbc9dcd37c631
diff --git a/dev-util/pkgconfig/pkgconfig-9999.ebuild
b/dev-util/pkgconfig/pkgconfig-0.29.2.ebuild
similarity index 77%
copy from dev-util/pkgconfig/pkgconfig-9999.ebuild
copy to dev-util/pkgconfig/pkgconfig-0.29.2.ebuild
index ddebd33447..ab762b945c 100644
--- a/dev-util/pkgconfig/pkgconfig-9999.ebuild
+++ b/dev-util/pkgconfig/pkgconfig-0.29.2.ebuild
@@ -1,8 +1,7 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Id$
-EAPI=5
+EAPI=6
# Do not inherit autotools in non-live ebuild - causes circular dependency,
bug #550856
inherit eutils flag-o-matic libtool multilib multilib-minimal
@@ -13,11 +12,11 @@ if [[ ${PV} == *9999* ]]; then
# 1.12 is only needed for tests due to some am__check_pre / LOG_DRIVER
# weirdness with "/bin/bash /bin/sh" in arguments chain with >=1.13
WANT_AUTOMAKE=1.12
- EGIT_REPO_URI="git://anongit.freedesktop.org/pkg-config"
+ EGIT_REPO_URI="https://anongit.freedesktop.org/git/pkg-config.git"
EGIT_CHECKOUT_DIR=${WORKDIR}/${MY_P}
inherit autotools git-r3
else
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64
~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux
~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+ KEYWORDS="~ppc-aix ~x64-cygwin ~amd64-linux ~arm-linux ~x86-linux
~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris
~x64-solaris ~x86-solaris"
SRC_URI="https://pkgconfig.freedesktop.org/releases/${MY_P}.tar.gz"
INTERNAL_GLIB_CYGWIN_PATCHES=2.38.2
fi
@@ -38,7 +37,8 @@ IUSE="elibc_FreeBSD elibc_glibc elibc_Cygwin hardened
internal-glib"
RDEPEND="!internal-glib? ( >=dev-libs/glib-2.34.3[${MULTILIB_USEDEP}] )
!dev-util/pkgconf[pkg-config]
!dev-util/pkg-config-lite
- !dev-util/pkgconfig-openbsd[pkg-config]"
+ !dev-util/pkgconfig-openbsd[pkg-config]
+ virtual/libintl"
DEPEND="${RDEPEND}"
S=${WORKDIR}/${MY_P}
@@ -53,13 +53,21 @@ src_prepare() {
EPATCH_FORCE=yes EPATCH_SUFFIX=patch \
epatch
"${WORKDIR}"/pkgconfig-glib-cygwin-patches-${INTERNAL_GLIB_CYGWIN_PATCHES}
- epatch_user
+ eapply_user
if [[ ${PV} == *9999* ]]; then
eautoreconf
else
elibtoolize # Required for FreeMiNT wrt #333429
fi
+
+ if [[ ${CHOST} == *-solaris* ]] ; then
+ # fix standards conflicts
+ sed -i \
+ -e 's/\<\(_XOPEN_SOURCE_EXTENDED\)\>/\1_DISABLED/' \
+ -e '/\<_XOPEN_SOURCE\>/s/2/600/' \
+ glib/configure || die
+ fi
}
multilib_src_configure() {
@@ -75,9 +83,19 @@ multilib_src_configure() {
# add the libdir for libtool, otherwise it'll make love
with system
# installed libiconv
append-ldflags "-L${EPREFIX}/usr/$(get_libdir)"
+ # the glib objects reference symbols from these
frameworks,
+ # not good, esp. since Carbon should be deprecated
+ [[ ${CHOST} == *-darwin* ]] && \
+ append-ldflags -framework CoreFoundation
-framework Carbon
+ if [[ ${CHOST} == *-solaris* ]] ; then
+ # required due to __EXTENSIONS__
+ append-cppflags -DENABLE_NLS
+ # similar to Darwin
+ append-ldflags -lintl
+ fi
fi
else
- if ! has_version dev-util/pkgconfig; then
+ if ! has_version --host-root dev-util/pkgconfig; then
export GLIB_CFLAGS="-I${EPREFIX}/usr/include/glib-2.0
-I${EPREFIX}/usr/$(get_libdir)/glib-2.0/include"
export GLIB_LIBS="-lglib-2.0"
fi
diff --git a/dev-util/pkgconfig/pkgconfig-9999.ebuild
b/dev-util/pkgconfig/pkgconfig-9999.ebuild
index ddebd33447..ab762b945c 100644
--- a/dev-util/pkgconfig/pkgconfig-9999.ebuild
+++ b/dev-util/pkgconfig/pkgconfig-9999.ebuild
@@ -1,8 +1,7 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Id$
-EAPI=5
+EAPI=6
# Do not inherit autotools in non-live ebuild - causes circular dependency,
bug #550856
inherit eutils flag-o-matic libtool multilib multilib-minimal
@@ -13,11 +12,11 @@ if [[ ${PV} == *9999* ]]; then
# 1.12 is only needed for tests due to some am__check_pre / LOG_DRIVER
# weirdness with "/bin/bash /bin/sh" in arguments chain with >=1.13
WANT_AUTOMAKE=1.12
- EGIT_REPO_URI="git://anongit.freedesktop.org/pkg-config"
+ EGIT_REPO_URI="https://anongit.freedesktop.org/git/pkg-config.git"
EGIT_CHECKOUT_DIR=${WORKDIR}/${MY_P}
inherit autotools git-r3
else
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64
~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux
~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+ KEYWORDS="~ppc-aix ~x64-cygwin ~amd64-linux ~arm-linux ~x86-linux
~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris
~x64-solaris ~x86-solaris"
SRC_URI="https://pkgconfig.freedesktop.org/releases/${MY_P}.tar.gz"
INTERNAL_GLIB_CYGWIN_PATCHES=2.38.2
fi
@@ -38,7 +37,8 @@ IUSE="elibc_FreeBSD elibc_glibc elibc_Cygwin hardened
internal-glib"
RDEPEND="!internal-glib? ( >=dev-libs/glib-2.34.3[${MULTILIB_USEDEP}] )
!dev-util/pkgconf[pkg-config]
!dev-util/pkg-config-lite
- !dev-util/pkgconfig-openbsd[pkg-config]"
+ !dev-util/pkgconfig-openbsd[pkg-config]
+ virtual/libintl"
DEPEND="${RDEPEND}"
S=${WORKDIR}/${MY_P}
@@ -53,13 +53,21 @@ src_prepare() {
EPATCH_FORCE=yes EPATCH_SUFFIX=patch \
epatch
"${WORKDIR}"/pkgconfig-glib-cygwin-patches-${INTERNAL_GLIB_CYGWIN_PATCHES}
- epatch_user
+ eapply_user
if [[ ${PV} == *9999* ]]; then
eautoreconf
else
elibtoolize # Required for FreeMiNT wrt #333429
fi
+
+ if [[ ${CHOST} == *-solaris* ]] ; then
+ # fix standards conflicts
+ sed -i \
+ -e 's/\<\(_XOPEN_SOURCE_EXTENDED\)\>/\1_DISABLED/' \
+ -e '/\<_XOPEN_SOURCE\>/s/2/600/' \
+ glib/configure || die
+ fi
}
multilib_src_configure() {
@@ -75,9 +83,19 @@ multilib_src_configure() {
# add the libdir for libtool, otherwise it'll make love
with system
# installed libiconv
append-ldflags "-L${EPREFIX}/usr/$(get_libdir)"
+ # the glib objects reference symbols from these
frameworks,
+ # not good, esp. since Carbon should be deprecated
+ [[ ${CHOST} == *-darwin* ]] && \
+ append-ldflags -framework CoreFoundation
-framework Carbon
+ if [[ ${CHOST} == *-solaris* ]] ; then
+ # required due to __EXTENSIONS__
+ append-cppflags -DENABLE_NLS
+ # similar to Darwin
+ append-ldflags -lintl
+ fi
fi
else
- if ! has_version dev-util/pkgconfig; then
+ if ! has_version --host-root dev-util/pkgconfig; then
export GLIB_CFLAGS="-I${EPREFIX}/usr/include/glib-2.0
-I${EPREFIX}/usr/$(get_libdir)/glib-2.0/include"
export GLIB_LIBS="-lglib-2.0"
fi